Subject: Re: [PATCH v3 08/10] staging: octeon-ethernet: support of_get_mac_address new ERR_PTR error

From: Dan Carpenter <[email-masked]>
Date: Fri, 3 May 2019 22:40:01 +0300

On Fri, May 03, 2019 at 09:07:30PM +0200, Petr Štetiar wrote:
> Dan Carpenter <[email-masked]> [2019-05-03 13:34:56]:
> 
> Hi,
> 
> > On Fri, May 03, 2019 at 09:56:05AM +0200, Petr Štetiar wrote:
> > > There was NVMEM support added to of_get_mac_address, so it could now
> > > return NULL and ERR_PTR encoded error values, so we need to adjust all
> > > current users of of_get_mac_address to this new fact.
> > 
> > Which commit added NVMEM support?  It hasn't hit net-next or linux-next
> > yet...  Very strange.
> 
> this patch is a part of the patch series[1], where the 1st patch[2] adds this
> NVMEM support to of_get_mac_address and follow-up patches are adjusting
> current of_get_mac_address users to the new ERR_PTR return value.

Basically all the patches need to be folded together otherwise you're
breaking git bisectibility.  Imagine that we just apply patch #1 right?
Then all the callers will be broken.  It's not allowed.

regards,
dan carpenter